Loading...
Searching...
No Matches
LibThread::InterpreterThread Class Reference

## Public Member Functions

| InterpreterThread (ThreadState *ts_init)
virtual | ~InterpreterThread ()
ThreadState * | getThreadState ()
void | clearThreadState ()
Public Member Functions inherited from LibThread::SharedObject
| SharedObject ()
virtual | ~SharedObject ()
void | set_type (int type_init)
int | get_type ()
void | set_name (std::string &name_init)
void | set_name (const char *s)
std::string & | get_name ()
void | incref (int by=1)
long | decref ()
long | getref ()
virtual BOOLEAN | op2 (int op, leftv res, leftv a1, leftv a2)
virtual BOOLEAN | op3 (int op, leftv res, leftv a1, leftv a2, leftv a3)

## Private Attributes

ThreadState * | ts

## Detailed Description

Definition at line 1419 of file shared.cc.

## Constructor & Destructor Documentation

## InterpreterThread()

LibThread::InterpreterThread::InterpreterThread | ( | ThreadState * | ts_init | ) |

inline

Definition at line 1423 of file shared.cc.

: SharedObject(), ts(ts_init) { }
LibThread::InterpreterThread::ts
ThreadState * ts
Definition shared.cc:1421
LibThread::SharedObject::SharedObject
SharedObject()
Definition shared.cc:156

## ~InterpreterThread()

virtual LibThread::InterpreterThread::~InterpreterThread | ( |  | ) |

inline virtual

Definition at line 1424 of file shared.cc.

{ }

## Member Function Documentation

## clearThreadState()

void LibThread::InterpreterThread::clearThreadState | ( |  | ) |

inline

Definition at line 1426 of file shared.cc.

{
ts = NULL;
}
NULL
#define NULL
Definition omList.c:12

## getThreadState()

ThreadState * LibThread::InterpreterThread::getThreadState | ( |  | ) |

inline

Definition at line 1425 of file shared.cc.

{ return ts; }

## Field Documentation

## ts

ThreadState* LibThread::InterpreterThread::ts

private

Definition at line 1421 of file shared.cc.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/systhreads/shared.cc